package org.rcisoft.business.bdefaultpic.service;

import org.rcisoft.business.bdefaultpic.entity.BDefaultPic;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.sys.user.bean.CurUser;

import java.util.List;

/**
 * Created by  on 2019-11-26 14:44:48.
 */
public interface BDefaultPicService {

    /**
    * 保存 
    * @param pic
    * @return
    */
    PersistModel save(String pic);

    /**
    * 逻辑删除 
    * @param bDefaultPic
    * @return
    */
     PersistModel remove(BDefaultPic bDefaultPic);

    /**
    * 根据id查询 
    * @param id
    * @return
    */
    BDefaultPic findById(String id);

    /**
    * 分页查询 
    * @param curUser
    * @return
    */
    List<BDefaultPic> findAllByPagination(PageUtil<BDefaultPic> paginationUtility, CurUser curUser);
    /**
    * 查询
    * @param curUser
    * @return
    */
    List<BDefaultPic> findAll(CurUser curUser);




}
