package org.rcisoft.business.blesson.util;

import lombok.extern.slf4j.Slf4j;
import org.rcisoft.business.bcourse.dto.AllCourseDTO;

import java.util.ArrayList;
import java.util.List;

@Slf4j
public class Recursion {

    /**
     * 查找当前分类下  多级子分类
     * @param fatherId
     * @param allCourse
     * @return
     */
    public  static List<String> FindSons(String fatherId, List<AllCourseDTO> allCourse){
        List<String> sonList = new ArrayList<>();
        for(AllCourseDTO course:allCourse){
            if(course.getPid() != null && (!("00000000".equals(course.getPid()))) && course.getPid().equals(fatherId)){
                sonList.add(course.getBusinessId());
                sonList.addAll(Recursion.FindSons(course.getBusinessId(),allCourse));
            }
        }
        return sonList;
    }
}
