package org.rcisoft.business.blessonlog.entity;

import lombok.*;

import org.rcisoft.core.entity.IdEntity;
import org.rcisoft.core.util.UserUtil;

import javax.persistence.*;

/**
* Created with  on 2020-7-1 18:57:27.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "b_lesson_log")
public class BLessonLog  extends IdEntity<BLessonLog> {



     /**
     * @desc 日志内容
     * @column content
     * @default 
     */
     private String content;

     /**
     * @desc 日志内容
     * @column content
     * @default
     */
     private String lessonId;


     public static BLessonLog generate(String content,String lessonId){
          BLessonLog bLessonLog = new BLessonLog(content,lessonId);
          UserUtil.setCurrentPersistOperation(bLessonLog);
          return bLessonLog;
     }
}

