package org.rcisoft.sys.user.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class MyInfoDTO {

    @ApiModelProperty(value = "用户Id")
    private String id;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "头像")
    private String headPic;

    @ApiModelProperty(value = "积分")
    private String value;

    @ApiModelProperty(value = "课程数")
    private String lessonCount;

    @ApiModelProperty(value = "培训数")
    private String trainCount;

    @ApiModelProperty(value = "未完成考试数")
    private String notFinishedExam;

    @ApiModelProperty(value = "用于防止积分为负数")
    private Integer lockNum;

}
