package org.rcisoft.sys.user.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import java.util.List;

@Data
public class QuerySysUserDTO {

    @ApiModelProperty(value = "用户名（模糊查询条件）")
    private String name;

    @ApiModelProperty(value = "用户启用状态  0未启用  1启用")
    private String flag;

    @ApiModelProperty(value = "0 包含子部门  1不包含子部门")
    private String type;

    @ApiModelProperty(value = "用户角色")
    private String roleName;

    @ApiModelProperty(value = "企业id")
    private String corpId;

    @ApiModelProperty(value = "部门")
    private String dept;

    @ApiModelProperty(value = "部门下的人")
    private List<String> userIds;

}
