package org.rcisoft.business.bbanner.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Banner 详情DTO
 */
@Data
public class BannerInfoRspDTO {

    @ApiModelProperty(value = "主键id")
    private String businessId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "图片地址")
    private String imageUrl;

    @ApiModelProperty(value = "是否为外部链接（0：否，1：是）")
    private String isExternalLink;

    @ApiModelProperty(value = "外部URL")
    private String externalUrl;

    @ApiModelProperty(value = "类型（0：线下，1：线上")
    private String lineType;

    @ApiModelProperty(value = "课程ID")
    private String courseId;

    @ApiModelProperty(value = "排序")
    private Integer bannerSort;
}
