package org.rcisoft.business.bchapter.dto;

import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ChapterDTO {

    @ApiModelProperty(value = "章节id 修改章节时传入")
    private String businessId;

    @ApiModelProperty(value = "课程ID")
    private String lessonId;

    @ApiModelProperty(value = "章节名")
    private String chapterName;

    @ApiModelProperty(value = "上一级（添加节需要）")
    private String pid;

    @ApiModelProperty(value = "等级，1：章 2：节")
    private Byte chapterLevel;

    private String isTest;
}
