package org.rcisoft.business.bchapter.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

@Data
public class QueryChapterListDTO {

    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @ApiModelProperty(value = "课程ID")
    private String lessonId;
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @ApiModelProperty(value = "userID")
    private String studentId;
    @Length(min = 1,max = 64,message = "")
    @ApiModelProperty(value = "chapterId")
    private String chapterId;
}
