package org.rcisoft.business.blesson.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class BLessonIPublishRspDTO {

    @ApiModelProperty(value = "课程id")
    private String lessonId;

    @ApiModelProperty(value = "课程名")
    private String lessonName;

    @ApiModelProperty(value = "选课人数")
    private String personNumber;

    @ApiModelProperty(value = "评论数")
    private String discussNumber;

    @ApiModelProperty(value = "课时数")
    private String classHour;

    @ApiModelProperty(value = "课程时长")
    private String courseTime;

    @ApiModelProperty(value = "封面图片url")
    private String defaultUrl;

    @ApiModelProperty(value = "发布状态（0：待发布 1：审核中 2：已发布 3：已驳回 4：已关闭）")
    private String releaseState;
}
