package org.rcisoft.business.blesson.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class StudentTrackingDTO {

    @ApiModelProperty(value = "课程Id",required = false)
    private String lessonId;

    @ApiModelProperty(value = "课程来源（是否为指派，0自选（选修） 1指派（必修））",required = false)
    private String isAppoint;

    @ApiModelProperty(value = "学员姓名",required = false)
    private String personName;

    @ApiModelProperty(value = "部门id",required = false)
    private String departId;

    @ApiModelProperty(value = "学习状态（0：未开始 1：已开始 2： 已学完）",required = false)
    private String isFinish;

    @ApiModelProperty(value = "培训状态（0 待参加 1 缺勤 2 出勤 ） 不传为全部",required = false)
    private String trainIsSign;

    @ApiModelProperty(value = "指派时间排序（0降序 1升序）",required = false)
    private String appointDateSort;

    @ApiModelProperty(value = "完成时间排序（0降序 1升序）",required = false)
    private String finishDateSort;

    @ApiModelProperty(value = "报名时间排序（0降序 1升序）",required = false)
    private String applyDateSort;

    @ApiModelProperty(value = "签到时间排序（0降序 1升序）",required = false)
    private String signDateSort;

    //部门集合
    private List<String> userIdsInDepart;

    private String userId;

    private String corpId;
}
