package org.rcisoft.sys.role.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;
import org.rcisoft.core.entity.IdEntity;

import javax.persistence.Table;
import javax.persistence.Transient;
import javax.validation.constraints.NotBlank;

/**
 * Created by gaowenfeng on 2017/8/9.
 */
@Data
@Table(name = "tm_admin_role")
@NoArgsConstructor
@AllArgsConstructor
public class SysRole extends IdEntity<SysRole> {
    private static final long serialVersionUID = 3877407102289435226L;
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @NotBlank
    private String roleName;

    private String type;

    private  String departIds;

    @Transient
    private int userNum;
}
